bytestream 接入文档
视频生成API 参考

bytestream · HappyHorse(视频生成)

POST
/v1/videos

提交一个异步视频生成任务。i2v / r2v / video-edit 场景下,参考素材必须放在 metadata.input.media(顶层 image/images 对该系列无效);生成参数放在 metadata.parameters

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/videos" \  -H "Content-Type: application/json" \  -d '{    "model": "happyhorse-1.1-t2v",    "metadata": {      "parameters": {}    }  }'
{  "id": "string",  "task_id": "string",  "object": "string",  "model": "string",  "status": "queued",  "progress": 0,  "created_at": 0,  "completed_at": 0,  "metadata": {    "url": "string"  },  "error": {    "message": "string",    "code": "string"  }}
GET
/v1/videos/{task_id}

与 Seedance 系列共用同一套查询格式与状态机:queued → in_progress → completed / failed。

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

task_id*string

Response Body

application/json

curl -X GET "https://example.com/v1/videos/string"
{  "id": "string",  "task_id": "string",  "object": "string",  "model": "string",  "status": "queued",  "progress": 0,  "created_at": 0,  "completed_at": 0,  "metadata": {    "url": "string"  },  "error": {    "message": "string",    "code": "string"  }}